# Uses of Class
org.eclipse.swt.custom.CTabFolder

Packages that use CTabFolder
Package
Description
org.eclipse.e4.ui.css.swt.dom
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of CTabFolder in org.eclipse.e4.ui.css.swt.dom

Constructors in org.eclipse.e4.ui.css.swt.dom with parameters of type CTabFolder
Modifier
Constructor
Description
``
`CTabFolderElement(CTabFolder tabFolder, CSSEngine engine)`

## Uses of CTabFolder in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type CTabFolder
Modifier and Type
Method
Description
`static void`
CSSSWTColorHelper.`setSelectionBackground(CTabFolder folder, Color newColor)`
Helper function to avoid setting colors unnecessarily
`static void`
CSSSWTColorHelper.`setSelectionForeground(CTabFolder folder, Color newColor)`
Helper function to avoid setting colors unnecessarily

## Uses of CTabFolder in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type CTabFolder
Modifier and Type
Method
Description
`void`
StackRenderer.`adjustTopRight(CTabFolder tabFolder)`
`void`
StackRenderer.`showAvailableItems(MElementContainer<?> stack, CTabFolder tabFolder)`
Shows a popup dialog with the list of editors availavle in a given `CTabFolder`.
`void`
StackRenderer.`showAvailableItems(MElementContainer<?> stack, CTabFolder tabFolder, boolean forceCenter)`
Shows a popup dialog with the list of editors available in the given CTabFolder.
Constructors in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type CTabFolder
Modifier
Constructor
Description
``
`CTabRendering(CTabFolder parent)`

## Uses of CTabFolder in org.eclipse.swt.custom

Fields in org.eclipse.swt.custom declared as CTabFolder
Modifier and Type
Field
Description
`protected CTabFolder`
CTabFolderRenderer.`parent`
Methods in org.eclipse.swt.custom that return CTabFolder
Modifier and Type
Method
Description
`CTabFolder`
CTabItem.`getParent()`
Returns the receiver's parent, which must be a `CTabFolder`.
Constructors in org.eclipse.swt.custom with parameters of type CTabFolder
Modifier
Constructor
Description
`protected`
`CTabFolderRenderer(CTabFolder parent)`
Constructs a new instance of this class given its parent.
``
`CTabItem(CTabFolder parent, int style)`
Constructs a new instance of this class given its parent (which must be a `CTabFolder`) and a style value describing its behavior and appearance.
``
`CTabItem(CTabFolder parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `CTabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

## Uses of CTabFolder in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return CTabFolder
Modifier and Type
Method
Description
`protected CTabFolder`
MultiPageEditorPart.`createContainer(Composite parent)`
Creates an empty container.

## Uses of CTabFolder in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return CTabFolder
Modifier and Type
Method
Description
`CTabFolder`
TabbedPropertySheetWidgetFactory.`createTabFolder(Composite parent, int style)`
Creates the tab folder as a part of the form.
Methods in org.eclipse.ui.views.properties.tabbed with parameters of type CTabFolder
Modifier and Type
Method
Description
`CTabItem`
TabbedPropertySheetWidgetFactory.`createTabItem(CTabFolder tabFolder, int style)`
Creates the tab item as a part of the tab folder.